/**
 * Cookie banner
 */

 .cn-info {
    background: rgba(0, 0, 0, .5);
    content: "";
    height: 100%;
    left: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 100000;
 }

 .cn-info-wrapper {
	background: #fff;
	border: 0;
	box-shadow: 0px 5px 20px rgba(49, 83, 78, 0.5);
	font-size: 16px;
	font-weight: 400;
	height: auto;
	left: 50%;
	letter-spacing: 0;
	line-height: 1.5;
	margin: 0;
	max-width: 1020px;
	min-width: auto;
	padding: 30px 30px 20px 30px;
	position: fixed;
	text-align: center;
	top: 50%;
	transform: translateX(-50%) translateY(-50%);
	width: 80%;
	z-index: 100000000000;
}

.cn-info.is-hidden {
	display: none;
}

.cn-info,
.cn-info * {
	box-sizing: border-box;
}

.cn-info-text p {
	margin-top: 0;
}

.cn-info-buttons {
	margin-top: 20px;
	text-align: center;
}

.cn-info-buttons .btn {
	display: inline-block;
	min-width: 140px;
}

.cn-info-extended .btn,
.cn-info-buttons .btn {
	margin: 10px;
	white-space: nowrap;
}

.cn-info-extended .btn.btn--primary,
  .cn-info-buttons .btn.btn--primary {
	background: #222;
	color: #fff;
}

.cn-info-extended .btn.btn--primary:active, .cn-info-extended .btn.btn--primary:focus, .cn-info-extended .btn.btn--primary:hover,
    .cn-info-buttons .btn.btn--primary:active,
    .cn-info-buttons .btn.btn--primary:focus,
    .cn-info-buttons .btn.btn--primary:hover {
	background: #fff;
	border-color: #222 !important;
	color: #222 !important;
}

.cn-info-extended {
	background: #fff;
	box-shadow: 0px 5px 20px rgba(49, 83, 78, 0.5);
	font-size: 16px;
	line-height: 1.4;
	left: 50%;
	max-height: 90vh;
	max-width: 960px;
	overflow: hidden;
	padding: 0 0 80px 0;
	position: fixed;
	top: 50%;
	transform: translateX(-50%) translateY(-50%);
	width: 90%;
	z-index: 100000000000;
}

.cn-info-extended.is-hidden {
	display: none;
	opacity: 0;
	pointer-events: none;
	top: 100%;
}

.cn-info-extended-wrapper {
	height: calc(90vh - 80px);
	overflow: auto;
	position: relative;
	padding: 30px;
}

.cn-info-extended-text > p:first-child {
	margin-top: 0;
}

.cn-info-extended-buttons {
	align-items: center;
	background: #f0f0f0;
	box-shadow: 0 -8px 8px rgba(0, 0, 0, 0.075);
	bottom: 0;
	display: flex;
	height: 80px;
	left: 0;
	padding: 0 30px;
	position: absolute;
	right: 0;
	width: 100%;
	z-index: 100000000001;
}

.cn-info-extended-buttons .btn + .btn {
	margin-left: auto;
}

.cn-info-extended-checkboxes {
	list-style-type: none;
	margin: 30px -30px;
	padding: 0;
}

.cn-info-extended .cn-consent {
	padding: 15px 30px 20px 30px;
	position: relative;
}

.cn-info-extended .cn-consent input[type="checkbox"] {
	opacity: 0;
	left: 0;
	top: 25px;
	width: 15px;
}

.cn-info-extended .cn-consent input[type="checkbox"]:before,
.cn-info-extended .cn-consent input[type="checkbox"]:after {
	display: none;
}

.cn-info-extended .cn-consent input[type="checkbox"]:checked + .cn-consent-label-text:before {
	opacity: 1;
}

.cn-info-extended .cn-consent input[type="checkbox"]:disabled + .cn-consent-label-text:after,
.cn-info-extended .cn-consent input[type="checkbox"]:disabled + .cn-consent-label-text:before {
	opacity: .5;
	cursor: not-allowed;
}

.cn-info-extended .cn-consent-label {
	position: relative;
}

.cn-info-extended .cn-consent:nth-child(odd) {
	background: #f5f5f5;
}

.cn-info-extended .cn-consent-label-text {
	color: #444;
	font-size: 16px;
	font-weight: bold;
	margin-left: 15px;
}

.cn-info-extended .cn-consent-label-text:before {
	border: 2px solid #333;
	border-width: 0 2px 2px 0;
	content: "";
	height: 10px;
	left: 7px;
	opacity: 0;
	padding: 0;
	position: absolute;
	top: 15px;
	transform: translateY(-11px) rotate(45deg);
	transition: all .25s ease;
	width: 7px;
	z-index: 1;
}

.cn-info-extended .cn-consent-label-text:after {
	background: #fff;
	border: 2px solid #333;
	border-radius: 2px;
	content: "";
	height: 20px;
	left: 0;
	position: absolute;
	top: 0px;
	transition: all .25s ease;
	width: 20px;
}

.cn-info-extended .cn-consent-description {
	font-size: 14px;
	margin: 10px 0 0 0;
}

.cn-info-extended .cn-info-extended-button-accept-all {
	display: inline-block;
	margin: 10px 0 0 0;
}

.cn-info-extended-buttons .btn {
	margin-left: 0;
	margin-right: 0;
}

.cn-info-extended-buttons .btn + .btn {
	margin-left: auto;
}

.cn-info a[href="#show-extended"] {
	color: #bf272f;
}

.cn-info a[href="#reject-all"] {
	background: #fff;
	border: 2px solid #000;
	color: #000;
}

.cn-info a[href="#accept-all"] {
	border: 2px solid #000;
}

.cn-info a[href="#reject-all"]:active,
.cn-info a[href="#reject-all"]:focus,
.cn-info a[href="#reject-all"]:hover {
	border: 2px solid #bf272f;
	color: #bf272f;
}

.cn-info a[href="#accept-all"]:active,
.cn-info a[href="#accept-all"]:focus,
.cn-info a[href="#accept-all"]:hover {
	background: #bf272f;
	border: 2px solid #bf272f;
}

@media (max-width: 960px) {
    .cn-info-wrapper {
        padding: 15px 10px;
        width: 95%;
    }

    .cn-info-buttons .btn, 
    .cn-info-extended .btn {
        padding: 8px 12px;
    }

    .cn-info-extended-wrapper {
        padding: 15px;
    }

    .cn-info-extended-buttons {
        padding: 0 10px;
    }
}

@media (max-width: 720px) {
	.cn-info,
    .cn-info-extended {
		font-size: 14px;
	}

	.cn-info-extended {
		max-height: 98%;
		max-width: 98%;
		width: 98%;
	}

	.cn-info-extended-wrapper {
		height: calc(98vh - 80px);
	}

	.cn-info-extended .cn-consent-label-text:before {
		top: 12px;
	}

	.cn-info-extended .cn-consent-label-text:after {
		top: -3px;
	}

	.cn-info-text p {
		font-size: 13px;
	}
}

@media (max-width: 600px) {
	.cn-info {
		padding: 20px 10px 10px 10px;
	}

	.cn-info,
    .cn-info-extended {
		font-size: 13px;
	}

	.cn-info-buttons {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		margin-top: 10px;
	}

	.cn-info-buttons .btn {
		margin: 5px;
	}

	.cn-info-buttons .btn:nth-child(3) {
		width: 234px;
	}
}

/* Support for videos  */
.cc-info {
	position: relative;
}

iframe[data-consent-src] {
	display: none;
}

.yt-player-cn-info-notice {
	align-items: center;
	border: 2px solid #bf272f;
	display: none;
	flex-wrap: wrap;
	font-weight: 600;
	margin: 0 0 30px 0;
	padding: 20px 20px 10px 20px;
	position: relative;
	text-align: center;
	width: 100%;
}

.yt-player-cn-info-notice p {
	width: 100%;
}

.yt-player-cn-info-notice p:last-child {
	margin-bottom: 0;
}

.yt-player-cn-info-notice.is-active {
	display: flex;
}

/* Support for newsletter forms  */
.ml-cn-info.is-hidden,
.ml-subscribe-form.is-hidden {
	display: none!important;
}

.ml-cn-info-notice {
	align-items: center;
	border: 2px solid #bf272f;
	display: none;
	flex-wrap: wrap;
	font-weight: 600;
	margin: 0 0 30px 2%;
	padding: 50px 20px 40px 20px;
	position: relative;
	justify-content: center;
	text-align: center;
	width: 96%;
}

.ml-cn-info-notice p {
	width: 100%;
}

.ml-cn-info-notice p:last-child {
	margin-bottom: 0;
}

.ml-cn-info-notice.is-active {
	display: flex;
}

/* support for maps */
.maps-cn-info-notice {
	align-items: center;
	border: 2px solid #bf272f;
	display: none;
	left: 2%;
	flex-wrap: wrap;
	font-weight: 600;
	margin: 0 auto 30px auto;
	padding: 20px 20px 10px 20px;
	position: absolute;
	text-align: center;
	top: 0;
	width: 96%;
}

.maps-cn-info-notice p {
	width: 100%;
}

.maps-cn-info-notice p a[href="#accept"] {
	float: none;
}

.maps-cn-info-notice p:last-child {
	margin-bottom: 0;
}

.maps-cn-info-notice.is-active {
	display: flex;
}